The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Rate Limiting Profiles in a Domain

Prev Next

This URL gets the list of rate limiting profiles defined in a particular domain.

Resource URL

GET /domain/<domain_id>/ratelimitingprofiles

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
domain_id Domain id Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
RateLimitingProfilesForDomainResponseList List of rate limiting profiles defined in the domain Array

Details of RateLimitingProfilesForDomainResponseList:

Field Name Description Data Type
profileId Rate limiting profile unique id Number
name Name of the rate limiting profile String
domainId Domain id Number
visibleToChild Is profile visible to child domains Boolean
description Profile description String
isEditable Is profile editable Number
lastModifiedUser Last user that modified the profile String
lastModifiedTime Last time the profile was modified String
interfaceType Interface type, can be "MBPS_10" / "MBPS_100" / "GBPS_1" / "GBPS_100" String

Example

Request

GET https://%3CNSM_IP%3E/sdkapi/domain/0/ratelimitingprofile

Response

{
       "RateLimitingProfilesForDomainResponseList":
       [
           {
               "profileId": 1003,
               "name": "Profile10Mbps",
               "domainId": 0,
               "visibleToChild": true,
               "description": "Profile Visible To Child Domain in Domain 0 ",
               "isEditable": true,
               "lastModifiedUser": "admin",
               "lastModifiedTime": "2012-10-09 13:32:56",
               "interfaceType": "MBPS_10"
           },
           {
               "profileId": 1000,
               "name": "UpdateTestProfile1",
               "domainId": 0,
               "visibleToChild": false,
               "description": "Updated Test Profile Not visible to child domain",
               "isEditable": true,
               "lastModifiedUser": "admin",
               "lastModifiedTime": "2012-10-09 13:32:57",
               "interfaceType": "GBPS_10"
           }
       ]
} 
 

Error Information

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 400 1001 internal error
2 404 1105 Invalid domain